Package org.apache.sysds.runtime.transform.encode

# Class ColumnEncoderFeatureHash.FeatureHashSparseApplyTask

java.lang.Object
org.apache.sysds.runtime.transform.encode.ColumnEncoderFeatureHash.FeatureHashSparseApplyTask

All Implemented Interfaces:
  `Callable<Object>`

Enclosing class:
  ColumnEncoderFeatureHash

public static class ColumnEncoderFeatureHash.FeatureHashSparseApplyTask extends Object

## Constructor Summary

Constructors
Constructor
Description
`FeatureHashSparseApplyTask(ColumnEncoderFeatureHash encoder, CacheBlock<?> input, MatrixBlock out, int outputCol)`
`FeatureHashSparseApplyTask(ColumnEncoderFeatureHash encoder, CacheBlock<?> input, MatrixBlock out, int outputCol, int startRow, int blk)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FeatureHashSparseApplyTask

public FeatureHashSparseApplyTask(ColumnEncoderFeatureHash encoder, CacheBlock<?> input, MatrixBlock out, int outputCol, int startRow, int blk)

### FeatureHashSparseApplyTask

public FeatureHashSparseApplyTask(ColumnEncoderFeatureHash encoder, CacheBlock<?> input, MatrixBlock out, int outputCol)

## Method Details

### call

public Object call() throws Exception

Specified by:
  `call` in interface `Callable<Object>`
Throws:
  `Exception`